using System.Collections;
using System.Collections.Generic;
using BITKit;
using Unity.Mathematics;

namespace Project.B.Animation
{
    public interface IHumanoidAnimationFactory: IAnimationFactory
    {
        IWrapper<float2> CreateIdleAnimation();
        IWrapper<float2> CreateWalkAnimation();
        IWrapper<float2> CreateCrouchedAnimation();
        IWrapper<float2> CreateInAirAnimation();
        IWrapper<float> CreateRunAnimation();
        IWrapper<float> CreateSprintAnimation();
        IWrapper<float2> CreateKnockedAnimation();
        object CreateKnockingAnimation();
        object CreateDeathAnimation();

    }
}
