using BITKit.StateMachine;
using Unity.Mathematics;

namespace Project.B.CharacterController
{

    /// <summary>
    /// 角色控制器
    /// </summary>
    public interface ICharacterController:IStateMachine<ICharacterState>
    {
        float3 Center { get; }
        float3 Position { get; set; }
        float3 Velocity { get; set; }
        float3 AngularVelocity { get; }
        quaternion Rotation { get; set; }
        float3 SelfVelocity { get; set; }
    }
}
